Magick::DrawableStrokeLineCap Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableStrokeLineCap:
[legend]
Collaboration diagram for Magick::DrawableStrokeLineCap:
[legend]

## Public Member Functions

| DrawableStrokeLineCap (LineCap linecap_)
| ~DrawableStrokeLineCap (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | linecap (LineCap linecap_)
LineCap | linecap (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1772 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokeLineCap()

Magick::DrawableStrokeLineCap::DrawableStrokeLineCap | ( | LineCap | linecap_ | ) |

inline

Definition at line 1775 of file Drawable.h.

## ~DrawableStrokeLineCap()

Magick::DrawableStrokeLineCap::~DrawableStrokeLineCap | ( | void |  | ) |

Definition at line 1285 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableStrokeLineCap::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1293 of file Drawable.cpp.

## linecap() [1/2]

void Magick::DrawableStrokeLineCap::linecap | ( | LineCap | linecap_ | ) |

inline

Definition at line 1787 of file Drawable.h.

## linecap() [2/2]

LineCap Magick::DrawableStrokeLineCap::linecap | ( | void |  | ) | const

inline

Definition at line 1791 of file Drawable.h.

## operator()()

void Magick::DrawableStrokeLineCap::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1289 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp